libetonyek::IWORKUnfilteredElement Class Reference

`#include <IWORKUnfilteredElement.h>`

Inheritance diagram for libetonyek::IWORKUnfilteredElement:

## Public Member Functions
| IWORKUnfilteredElement (IWORKXMLParserState &state, IWORKMediaContentPtr_t &content)
Public Member Functions inherited from libetonyek::IWORKImageContext
| IWORKImageContext (IWORKXMLParserState &state, IWORKMediaContentPtr_t &content)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
IWORKMediaContentPtr_t & | m_content

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKUnfilteredElement()

libetonyek::IWORKUnfilteredElement::IWORKUnfilteredElement | ( | IWORKXMLParserState & | state,
|  | IWORKMediaContentPtr_t & | content )

## Member Function Documentation

## ◆ endOfElement()

void libetonyek::IWORKUnfilteredElement::endOfElement | ( |  | ) |
| override private virtual

Signalize the end of an element.

Reimplemented from libetonyek::IWORKImageContext.

## Member Data Documentation

## ◆ m_content

IWORKMediaContentPtr_t& libetonyek::IWORKUnfilteredElement::m_content
| private

Referenced by endOfElement(), and IWORKUnfilteredElement().

The documentation for this class was generated from the following files:

- IWORKUnfilteredElement.h
- IWORKUnfilteredElement.cpp